# Carrier Cache Trial

Welcome to Carrier Cache Trial!

Carrier Cache is designed to be the most memory efficient server platform for
everybody's in-memory key-value storage needs.

Carrier Cache combines TLS encryption, secure defaults, and support for modern
space efficient key-value operations all built-in and ready to use.

Carrier Cache supports the legacy memcached protocol for easy use by hundreds of
existing client implementations. We also offer Carrier DB which supports
advanced data structure operations using both legacy memcached and legacy redis
data protocols for rapid server-side state updating.

In this server distribution, you'll find:

- server launcher: `carrier-cache-trial`
- optimized all-in-one binaries: `carrier-cache-trial-{microarchitecture}`
- sample configuration file: `sample.conf`
- licenses pertaining to all permissively licensed software included, bundled,
  or consulted during the creation of Carrier Cache Trial: `LICENSES.xz` (note: does not
  pertain to the license of Carrier Cache Trial itself) 

Trial releases are fully unlocked with no feature restrictions, but the server
process will exit between 2 to 7 days of uptime. Production licenses
for Carrier Cache and multiple levels of production support are
available at https://carriercache.com/pricing

## Getting Started

Carrier Cache Trial ships with a unified loader to run the appropriate
optimized binary for your platform.

Start Carrier Cache Trial by running:

- carrier-cache-trial 
- carrier-cache-trial --config sample.conf

The microarchitecture-optimized binary for your platform must be in the same
directory as carrier-cache-trial for the launcher to properly launch your server.


## Docs

Operation and configuration guides are available at:

- https://carriercache.com/getting-started
- https://carriercache.com/specs


## Licenses

Production server licenses and support can be purchased at:

- https://carriercache.com/pricing

If you have any questions about production licensing or support agreements,
just email sales@carriercache.com


## Support

If you have any questions about operations or feedback in general,
just email support@carriercache.com
